changeset 709:64cc63ad26ce

Add BUILD_VERBOSE config option.
author Rob Landley <rob@landley.net>
date Wed, 08 Apr 2009 19:31:55 -0500
parents a0db930af698
children 946b01b2cc7f
files config cross-compiler.sh mini-native.sh sources/include.sh system-image.sh
diffstat 5 files changed, 16 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/config	Wed Apr 08 11:28:05 2009 -0500
+++ b/config	Wed Apr 08 19:31:55 2009 -0500
@@ -105,3 +105,8 @@
 # making it a config option.
 
 # export NATIVE_RETROFIT_CXX=1
+
+# Tell the linux kernel, uClibc, and busybox to show the actual build commands
+# instead of pretty-print output.
+
+# export BUILD_VERBOSE=1
--- a/cross-compiler.sh	Wed Apr 08 11:28:05 2009 -0500
+++ b/cross-compiler.sh	Wed Apr 08 19:31:55 2009 -0500
@@ -98,7 +98,8 @@
 setupfor uClibc
 make CROSS= KCONFIG_ALLCONFIG="$(getconfig uClibc)" allnoconfig &&
 make CROSS="${ARCH}-" KERNEL_HEADERS="${CROSS}/include" PREFIX="${CROSS}/" \
-     RUNTIME_PREFIX=/ DEVEL_PREFIX=/ -j $CPUS install hostutils || dienow
+     RUNTIME_PREFIX=/ DEVEL_PREFIX=/ -j $CPUS $VERBOSITY \
+     install hostutils || dienow
 for i in $(cd utils; ls *.host | sed 's/\.host//')
 do
   cp utils/"$i".host "$CROSS/bin/$ARCH-$i" || dienow
--- a/mini-native.sh	Wed Apr 08 11:28:05 2009 -0500
+++ b/mini-native.sh	Wed Apr 08 19:31:55 2009 -0500
@@ -66,7 +66,7 @@
 for i in install install_utils
 do
   make CROSS="${ARCH}-" KERNEL_HEADERS="${TOOLS}/include" \
-       PREFIX="${UCLIBC_TOPDIR}/" \
+       PREFIX="${UCLIBC_TOPDIR}/" $VERBOSITY \
        RUNTIME_PREFIX="$UCLIBC_DLPREFIX/" DEVEL_PREFIX="$UCLIBC_DLPREFIX/" \
        UCLIBC_LDSO_NAME=ld-uClibc -j $CPUS $i || dienow
 done
@@ -98,7 +98,7 @@
 
 setupfor busybox
 make allyesconfig KCONFIG_ALLCONFIG="${SOURCES}/trimconfig-busybox" &&
-make -j $CPUS CROSS_COMPILE="${ARCH}-" &&
+make -j $CPUS CROSS_COMPILE="${ARCH}-" $VERBOSITY &&
 make busybox.links &&
 cp busybox "${TOOLS}/bin"
 
--- a/sources/include.sh	Wed Apr 08 11:28:05 2009 -0500
+++ b/sources/include.sh	Wed Apr 08 19:31:55 2009 -0500
@@ -113,3 +113,8 @@
   export WORK="${BUILD}/host-temp"
   mkdir -p "${WORK}" || dienow
 fi
+
+if [ ! -z "$BUILD_VERBOSE" ]
+then
+  VERBOSITY="V=1"
+fi
--- a/system-image.sh	Wed Apr 08 11:28:05 2009 -0500
+++ b/system-image.sh	Wed Apr 08 19:31:55 2009 -0500
@@ -38,8 +38,8 @@
 
 # Build kernel in parallel with initramfs
 
-( make -j $CPUS ARCH="${BOOT_KARCH}" CROSS_COMPILE="${ARCH}-" $LINUX_FLAGS ||
-    dienow ) &
+( make -j $CPUS ARCH="${BOOT_KARCH}" CROSS_COMPILE="${ARCH}-" $LINUX_FLAGS \
+    $VERBOSITY || dienow ) &
 
 # If we exit before removing this handler, kill everything in the current
 # process group, which should take out backgrounded kernel make.